## screenkey 0.10~rc1

=== po/Makefile ===
# This Makefile regenerates the template (screenkey.pot) *and* updates all
# available translations in one go as a more convenient tool for translators.
#
# This is redundant: "setup.py build_i18n" does the first and it's done
# automatically during install, while "intltool-update lang" would be the
# official way to do the second.

SOURCES = $(shell sed -e 's/^/..\//' POTFILES.in)
POFILES = $(wildcard *.po)

all: $(POFILES)

%.po: screenkey.pot
	msgmerge --previous -F -N -U $@ $<

screenkey.pot: $(SOURCES)
	xgettext -L python -F -o $@ $<

## screenkey 0.2

=== debian/changelog ===
screenkey (0.2-2fakesync1) quantal; urgency=low

  * Fake sync due to mismatching orig tarball.

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 21 Aug 2012 10:17:49 +0200

screenkey (0.2-2) unstable; urgency=low

  * added dependencies for python-gtk2 and x11-xserver-utils.
    Closes: #684651

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 17 Aug 2012 18:19:29 +0200

screenkey (0.2-1) unstable; urgency=low

  * Initial release (Closes: #681514)

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 13 Jul 2012 21:56:16 +0200

=== debian/control ===
Source: screenkey
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 8.0.0), python-all
X-Python-Version: >= 2.5
Standards-Version: 3.9.3
Homepage: http://pabloseminario.com/projects/screenkey/

Package: screenkey
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-xlib, python-gtk2,
 x11-xserver-utils
Description: screencast tool to display your keystrokes
 Screenkey is a screencast tool to display your keys inspired
 by Screenflick for Mac OS and based initially on key-mon project.
 .
 It’s useful to create screencasts and is also a powerful teaching tool.

## screenkey 0.9

=== debian/changelog ===
screenkey (0.9-2) unstable; urgency=medium

  * enriched the French translation po/fr.po
  * created a file po/Makefile, and applied it, so other .po files
    got new untranslated messages.
  * updated shortly the manual page

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 29 Oct 2017 21:31:06 +0100

screenkey (0.9-1) unstable; urgency=medium

  * created a d/watch file to track https://github.com/wavexx/screenkey.
    Closes: #800514; Closes: #782006; Closes: #749029
  * upgraded to the newest version
  * updated Standards-Version and debhelper minimal version
  * added a build-dependency on python-distutils-extra, and an override for
    dh_clean, since the clean by python scripts adds an .eggs directory
  * added a build-dependency on python-setuptools
  * fixed my e-mail address in d/control
  * removed a Python package dependency defined in setup.py

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 29 Oct 2017 20:49:04 +0100

screenkey (0.2-3) unstable; urgency=medium

  * changed my DEBEMAIL georgesk@ofset.org => georgesk@debian.org

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Apr 2017 16:34:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: screenkey
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Georges Khaznadar <georgesk@ofset.org>
-Build-Depends: debhelper (>= 8.0.0), python-all
+Maintainer: Georges Khaznadar <georgesk@debian.org>
+Build-Depends: debhelper (>= 9.0.0), python-all,
+ python-setuptools, python-distutils-extra
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.3
+Standards-Version: 4.1.1
 Homepage: http://pabloseminario.com/projects/screenkey/
 
 Package: screenkey

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_clean:
	dh_clean
	# remove files created during the clean !
	rm -rf .eggs
	# remove build/mo and po files created due to the plugin for i18n
	rm -rf build
	rm -f po/screenkey.pot
	# remove other files due to the egg system
	rm -rf screenkey.egg-info

=== debian/watch ===
version=4

opts=dversionmangle=s/screenkey-\(.*\)/screenkey-\1/ \
https://github.com/wavexx/screenkey/tags \
   /wavexx/screenkey/archive/screenkey-(.*)\.tar\.gz \
   debian sh debian/get-new-version.sh

## screenkey 0.9+git20171217

=== debian/changelog ===
screenkey (0.9+git20171217-1~mx17+1) mx; urgency=medium

  * New pull from git.
  * Drop patches, fixed upstream.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 14 Apr 2018 14:11:26 -0700

screenkey (0.9-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 14 Apr 2018 14:04:03 -0700

screenkey (0.9-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Build only python-2.7 packages, older versions error out on install.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 11 Jun 2016 16:17:21 -0700

screenkey (0.9-1~webupd8~vivid1) vivid; urgency=medium

  * New upstream release
  * debian/control: recommends fonts-font-awesome
  * debian/control: standards-version bumped to 3.9.7
  * debian/control: bump debhelper version to >=9
  * debian/rules: added override_dh_auto_clean to clean
    .eggs folder manually, since it was skipped by dh_clean
  * added dont-use-setuptools-git.patch

 -- Alin Andrei <webupd8@gmail.com>  Mon, 16 May 2016 12:44:19 +0200

screenkey (0.8.1-1~webupd8~wily0) wily; urgency=medium

  * New upstream release
  * Drop run-in-no-detach-mode-workaround.patch

 -- Alin Andrei <webupd8@gmail.com>  Fri, 27 Nov 2015 12:56:13 +0200

screenkey (0.8-1~webupd8~wily4) wily; urgency=medium

  * Use a fork which is maintained instead of the old
    screenkey
  * Update copyright/control with new links/developer
  * Add run-in-no-detach-mode-workaround.patch
  * Bump standards-version to 3.9.6
  * Depend on slop and python-appindicator

 -- Alin Andrei <webupd8@gmail.com>  Thu, 11 Nov 2015 14:43:33 +0200

## screenkey 0.10~rc1

=== debian/changelog ===
screenkey (1:0.10~rc1-1) unstable; urgency=medium

  * New upstream version 0.10~rc1, from https://gitlab.com/screenkey/screenkey
  * Updated the file d/watch
  * Changed the epoch of the package
  * Now Python3 is supported "officially", and the issue with settings
    seems to be be cleared. Closes: #959475

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 May 2020 17:21:31 +0200

screenkey (0.10-1) unstable; urgency=medium

  * New upstream release
  * upgraded d/control to use Python3, dh >= 11, etc.
    the build-dependency on pygtk is replaced by python3-gi
    Closes: #938450, Closes: #939111, Closes: #885478, Closes: #910116
  * Updated the home page, Closes: #940798
  * removed useless debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 02 Nov 2019 16:49:22 +0100

screenkey (0.9-3) unstable; urgency=medium

  * removed dependencies on x11-xserver-utils and python-xlib, added
    a dependency on libx11-6, as hinted by Yuri D'Elia
  * updated Standards-Version: 4.1.3, and debhelper level to 10

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Jan 2018 12:21:05 +0100

## screenkey 0.10

=== debian/control ===
Source: screenkey
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11),
 python3,
 python3-setuptools,
 python3-distutils-extra,
 dh-python
X-Python-Version: >= 3.7
Standards-Version: 4.4.0
Homepage: https://www.thregr.org/~wavexx/software/screenkey/
Vcs-Git: https://salsa.debian.org/georgesk/screenkey.git
Vcs-Browser: https://salsa.debian.org/georgesk/screenkey

Package: screenkey
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-gi, libx11-6
Description: screencast tool to display your keystrokes
 Screenkey is a screencast tool to display your keys inspired
 by Screenflick for Mac OS and based initially on key-mon project.
 .
 It’s useful to create screencasts and is also a powerful teaching tool.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean

## screenkey 1.1

=== debian/changelog ===
screenkey (1.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Drop epoch, since we never saw it.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Jun 2020 17:41:05 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: screenkey
 Section: python
 Priority: optional
-Maintainer: Georges Khaznadar <georgesk@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 11),
  python3,
  python3-setuptools,

## screenkey 1.2

=== debian/changelog ===
screenkey (1:1.2-1) unstable; urgency=medium

  * New upstream version 1.2

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 15 Aug 2020 19:12:43 +0200

screenkey (1:1.1-2) unstable; urgency=medium

  * just a release to upload a source-only package

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 11 Jun 2020 18:30:32 +0200

screenkey (1:1.1-1) unstable; urgency=medium

  * New upstream version 1.1: Closes: #962504 and Closes: #962118
  * added new dependencies: gir1.2-gtk-3.0, gir1.2-appindicator3-0.1,
    fonts-font-awesome, slop

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 10 Jun 2020 10:13:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: screenkey
 Section: python
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Georges Khaznadar <georgesk@debian.org>
+Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 11),
  python3,
  python3-setuptools,
@@ -16,7 +15,13 @@
 
 Package: screenkey
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-gi, libx11-6
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3-gi,
+ gir1.2-gtk-3.0,
+ gir1.2-appindicator3-0.1,
+ fonts-font-awesome,
+ slop,
+ libx11-6
 Description: screencast tool to display your keystrokes
  Screenkey is a screencast tool to display your keys inspired
  by Screenflick for Mac OS and based initially on key-mon project.

## screenkey 1.3

=== debian/changelog ===
screenkey (1:1.3-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 22 Dec 2020 17:22:45 +0100

screenkey (1:1.2-2) unstable; urgency=medium

  * use Ayatana AppIndicator. Closes: #977156
  * upgraded : debhelper-compat (= 13), Standards-Version: 4.5.0
  * modified the dependency:  gir1.2-appindicator3-0.1 =>
    gir1.2-ayatanaappindicator3-0.1

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 21 Dec 2020 12:16:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
  python3,
  python3-setuptools,
  python3-distutils-extra,
  dh-python
 X-Python-Version: >= 3.7
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://www.thregr.org/~wavexx/software/screenkey/
 Vcs-Git: https://salsa.debian.org/georgesk/screenkey.git
 Vcs-Browser: https://salsa.debian.org/georgesk/screenkey
@@ -18,7 +18,7 @@
 Depends: ${misc:Depends}, ${python3:Depends},
  python3-gi,
  gir1.2-gtk-3.0,
- gir1.2-appindicator3-0.1,
+ gir1.2-ayatanaappindicator3-0.1,
  fonts-font-awesome,
  slop,
  libx11-6

## screenkey 1.4

=== debian/changelog ===
screenkey (1:1.4-2) unstable; urgency=medium

  * added a build dependency on python3-babel. Closes: #981495

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 04 Feb 2021 20:06:01 +0100

screenkey (1:1.4-1) unstable; urgency=medium

  * new upstream version
  * upgraded Standards-Version: 4.5.1
  * updated debian patch
  * modified the rule override_dh_clean: mo files are deleted under
    Screenkey/locale/*/LC_MESSAGES/

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 28 Jan 2021 19:51:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends: debhelper-compat (= 13),
  python3,
  python3-setuptools,
+ python3-babel,
  python3-distutils-extra,
  dh-python
 X-Python-Version: >= 3.7
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.thregr.org/~wavexx/software/screenkey/
 Vcs-Git: https://salsa.debian.org/georgesk/screenkey.git
 Vcs-Browser: https://salsa.debian.org/georgesk/screenkey

=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,6 @@
 	# remove build/mo and po files created due to the plugin for i18n
 	rm -rf build
 	rm -f po/screenkey.pot
+	rm -f Screenkey/locale/*/LC_MESSAGES/*.mo
 	# remove other files due to the egg system
 	rm -rf screenkey.egg-info

=== debian/watch ===
version=4

opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb|gh)\d*$// \
https://gitlab.com/screenkey/screenkey/-/tags /screenkey/screenkey/-/archive/v?(\d[^/]+)/screenkey-.*\.tar\.gz

## screenkey 1.5

=== debian/changelog ===
screenkey (1:1.5-7) unstable; urgency=medium

  * removed the obsolete python3-distutils-extra build-dependency.
    Closes: #1095921
  * replaced "clean" by "auto_clean" in d/rules

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Feb 2025 10:55:40 +0100

screenkey (1:1.5-6) unstable; urgency=medium

  * added the file debian/salsa-ci.yml as proposed by Otto Kekäläinen,
    thanks! Closes: #1071654

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 23 May 2024 11:15:49 +0200

screenkey (1:1.5-5) unstable; urgency=medium

  * fixed the missing date, and made a source upload again.
    Closes: #1071063 (thanks, lamby)

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 14 May 2024 17:10:30 +0200

screenkey (1:1.5-4) unstable; urgency=medium

  * fixed d/watch
  * bumped Standards-Version: 4.7.0
  * removed the stance X-Python-Version

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 14 May 2024 17:09:01 +0200

screenkey (1:1.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [Georges Khaznadar]
  * bumped Standards-Version: 4.6.2

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 19:06:46 +0100

screenkey (1:1.5-2) unstable; urgency=medium

  * added a license (CC-BY-SA-4.0) to make lintian happy with metadata

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 12 Apr 2022 14:13:41 +0200

screenkey (1:1.5-1) unstable; urgency=medium

  * new upstream version
  * refreshed the debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Jan 2022 19:48:29 +0100

screenkey (1:1.4-4) unstable; urgency=medium

  * added a dependency on python3-gi-cairo. Closes: #994410

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Sep 2021 17:44:02 +0200

screenkey (1:1.4-3) unstable; urgency=medium

  * added a recommends clause on gnome-icon-theme or other packages which
    can provide the icon "preferences-desktop-keyboard-shortcuts.png".
    Closes: #984915

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 10 Mar 2021 19:39:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,8 @@
  python3,
  python3-setuptools,
  python3-babel,
- python3-distutils-extra,
- dh-python
-X-Python-Version: >= 3.7
-Standards-Version: 4.5.1
+ dh-python,
+Standards-Version: 4.7.0
 Homepage: https://www.thregr.org/~wavexx/software/screenkey/
 Vcs-Git: https://salsa.debian.org/georgesk/screenkey.git
 Vcs-Browser: https://salsa.debian.org/georgesk/screenkey
@@ -18,11 +16,13 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
  python3-gi,
+ python3-gi-cairo,
  gir1.2-gtk-3.0,
  gir1.2-ayatanaappindicator3-0.1,
  fonts-font-awesome,
  slop,
- libx11-6
+ libx11-6,
+Recommends: gnome-icon-theme|elementary-xfce-icon-theme|faenza-icon-theme|gnome-accessibility-themes|mate-icon-theme|mate-icon-theme-faenza|mate-themes|moblin-icon-theme|moka-icon-theme|obsidian-icon-theme|paper-icon-theme|scribus-data|tangerine-icon-theme|tango-icon-theme|ukui-themes
 Description: screencast tool to display your keystrokes
  Screenkey is a screencast tool to display your keys inspired
  by Screenflick for Mac OS and based initially on key-mon project.

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_clean:
-	dh_clean
+override_dh_auto_clean:
+	dh_auto_clean
 	# remove files created during the clean !
 	rm -rf .eggs
 	# remove build/mo and po files created due to the plugin for i18n

=== debian/watch ===
version=4

# Direct Git.
opts="mode=git,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb|gh)\d*$//" \
  https://gitlab.com/screenkey/screenkey.git \
    refs/tags/v([\d\.]+)
